package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_remark")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class RemarkDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * 科室id，便签时不能为空
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "科室id，便签时不能为空", required = false)
    private Integer partId;
    /**
     * 备注类型。1，用户备注；2，便签
     */
    @Column(name = "type")
    @ApiModelProperty(value = "备注类型。1，用户备注；2，便签", required = false)
    private Boolean type;
    /**
     * 用户id。用户备注时不能为空
     */
    @Column(name = "member_id")
    @ApiModelProperty(value = "用户id。用户备注时不能为空", required = false)
    private Integer memberId;
    /**
     * 创建人
     */
    @Column(name = "create_name")
    @ApiModelProperty(value = "创建人", required = false)
    private String createName;
    /**
     * 备注内容
     */
    @Column(name = "content")
    @ApiModelProperty(value = "备注内容", required = false)
    private String content;
    /**
     * 附件名称
     */
    @Column(name = "file_name")
    @ApiModelProperty(value = "附件名称", required = false)
    private String fileName;
    /**
     * 附件路径
     */
    @Column(name = "file_path")
    @ApiModelProperty(value = "附件路径", required = false)
    private String filePath;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public Boolean getType() {
        return type;
    }

    public void setType(Boolean type) {
        this.type = type;
    }


    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }


    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }


    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }


    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }


    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

}
